This is a SNMP (Simple Network Management Protocol) trap module, which requires the Tnm Tcl extension package (from the Scotty Tcl extension software) to be installed on the computer, with the included straps daemon running (automatically launched when the module is started if running with root privileges).
Note: this module was successfully tested on UNIX but not on Windows.

Data is initially displayed in one empty table, filled as events (traps or inform requests) arrive. The leftmost column contains row numbers, with the new (latest) event always placed at row 0, and the old events shifted 1 row down.
Note: since the new event is always at row index 0, it is easy to either use it in a threshold entry and have its value emailed to the network manager, processed by the user defined script, or stored in the history database, for example.

Additional event information in the form of SNMP objects sent along is displayed in 2 columns: one with the identifiers, the other with the corresponding values, arranged in as many lines as there are objects.

Of course, you can, as with any other moodss module, specify several instances of this module in the command line to monitor as many SNMP peers as desired.

This document includes extracts from the Scotty documentation. The Scotty software is copyrighted by Juergen Schoenwaelder, the Technical University of Braunschweig, the University of Twente and other parties (please refer to the Scotty license for further information).

Module options:

- --mibs
  A comma separated list of files containing valid MIB definitions.
  Parsing errors are written to stderr. The MIB files are usually located at the file system position defined by the file argument. However, if file is a simple file name and it does not exist in the current directory, than it will be searched in $tnm(library)/site and $tnm(library)/mibs in this order.
- -n (--numeric)
  display numerical addresses instead of trying to determine symbolic host or network names.
- --rows
  The maximum number of rows to be kept visible in the table. Older rows are automatically removed as new events arrive. Default is 10 rows. 0 means that all rows are to be kept: use carefully if there are many events as memory will eventually run out.
- --trace
  On standard output, display SNMP traps or requests in the form of object identifiers and their values.
- --version
  Selects the SNMP version used by a SNMP session. The currently supported version numbers are 1 (SNMPv1, RFC 1157 style SNMP), 2C (SNMPv2C, RFC 1901 style SNMP) and 2U (SNMPv2U, RFC 1910 style SNMP). The default SNMP version is 1.
  For SNMP 1 version, the module waits for and processes traps. For SNMP 2 versions, the module waits for and processes inform requests.

Examples:

    $ moodss snmptrap -a 134.169.34.1 --version 2C
    $ moodss snmptrap -a 134.169.34.1 --mibs rfc1213.mib